%global momorel 2

%define sennahome /var/senna
%define charset utf-8

Summary: Senna is an embeddable fulltext search engine
Name: senna
Version: 0.90
Release: %{momorel}m
License: LGPL 
Group: Applications/Text
URL: http://chasen.org/~taku/software/mecab/
Source0: senna-20060507-svn.tar.gz

BuildRoot: %{_tmppath}/%{name}-%{version}-root

Source10: senna.conf

BuildPreReq: mecab-devel
Requires: mecab

%description
Senna is an embeddable fulltext search engine, which you can use in conjunction with various scripting languages and databases. Senna is an inverted index based engine, and combines the best of n-gram indexing and word indexing to achieve fast, precise searches. While senna codebase is rather compact it is scalable enough to handle large amounts of data and queries.

%package devel
Summary: Libraries and header files for Senna
Group: Development/Libraries
Requires: %{name} = %{version}

%description devel
Libraries and header files for Senna

%prep
%setup -q -n %{name}

%build
%configure --with-charset=%{charset}
SENNNA_HOME=%{sennahome} make

%install
%makeinstall 

%{__install} -d 755 %{buildroot}%{sennahome}
%{__install} -m 644 %{SOURCE10} %{buildroot}%{sennahome}

%clean
rm -rf %{buildroot}

%post
/sbin/ldconfig -n %{_libdir}

%postun -p /sbin/ldconfig

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README doc/
%{_libdir}/*.so.*
%{_bindir}/*
%config %{sennahome}/senna.conf

%files devel
%defattr(-, root, root)
%{_includedir}/senna/*
%{_libdir}/*.so
%{_libdir}/*.a
%{_libdir}/*.la

%changelog
* Mon May 08 2006 NARITA Koichi <pulsar@sea.plala.or.jp>
- (0.90-2m)
- rebuild against mecab-0.91-1m and new SVN version

* Fri Mar 3 2006 Yasuo Ohgaki <yohgaki@momonga-linux.org>
- (0.90-1m)
- initial release

